// vi: set ts=4 sw=4 :

// vim: set tw=75 :



// plugin.cpp - generic plugin operation



/*

 * Copyright (c) 2001-2003 Will Day <willday@hpgx.net>

 *

 *    This file is part of Metamod.

 *

 *    Metamod is free software; you can redistribute it and/or modify it

 *    under the terms of the GNU General Public License as published by the

 *    Free Software Foundation; either version 2 of the License, or (at

 *    your option) any later version.

 *

 *    Metamod is distributed in the hope that it will be useful, but

 *    WITHOUT ANY WARRANTY; without even the implied warranty of

 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU

 *    General Public License for more details.

 *

 *    You should have received a copy of the GNU General Public License

 *    along with Metamod; if not, write to the Free Software Foundation,

 *    Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *

 *    In addition, as a special exception, the author gives permission to

 *    link the code of this program with the Half-Life Game Engine ("HL

 *    Engine") and Modified Game Libraries ("MODs") developed by Valve,

 *    L.L.C ("Valve").  You must obey the GNU General Public License in all

 *    respects for all of the code used other than the HL Engine and MODs

 *    from Valve.  If you modify this file, you may extend this exception

 *    to your version of the file, but you are not obligated to do so.  If

 *    you do not wish to do so, delete this exception statement from your

 *    version.

 *

 */



#include <extdll.h>



#include <meta_api.h>



#include "plugin.h"

#include "log_plugin.h"

#include "trace_api.h"



// Must provide at least one of these..

META_FUNCTIONS gMetaFunctionTable = {

	NULL,			// pfnGetEntityAPI				HL SDK; called before game DLL

	NULL,			// pfnGetEntityAPI_Post			META; called after game DLL

	GetEntityAPI2,	// pfnGetEntityAPI2				HL SDK2; called before game DLL

	GetEntityAPI2_Post,			// pfnGetEntityAPI2_Post		META; called after game DLL

	GetNewDLLFunctions,			// pfnGetNewDLLFunctions		HL SDK2; called before game DLL

	GetNewDLLFunctions_Post,	// pfnGetNewDLLFunctions_Post	META; called after game DLL

	GetEngineFunctions,			// pfnGetEngineFunctions		META; called before HL engine

	GetEngineFunctions_Post,	// pfnGetEngineFunctions_Post	META; called after HL engine

};



cvar_t init_plugin_debug = {"trace_debug", "0", FCVAR_EXTDLL, 0, NULL};





// Meta_Query, any desired checks for valid use.

int plugin_query(void) {

	return(TRUE);

}



// Meta_Attach.  Plugin startup.  Register commands and cvars.

int plugin_attach(void) {

	log_init("trace_debug");

	trace_init();

	return(TRUE);

}



// Meta_Detach.  Cleaning up.

int plugin_detach(void) {

	return(TRUE);

}

